!BAT
# IMPORTANT: This file MUST begin with !BAT
# For all settings, see \_ISO\Sample_MyE2B.cfg



# HELP USING THIS .CFG FILE
#   #   symbols comment out a line - these lines contain help or information
#   ### means you can uncomment and use these lines - they should contain a command
#

# ----- PROGRESS MESSAGE CONTROL ----

# Use this line for a blank screen startup with no progress messages
# Tip: use patchme to prevent early grub4dos messages (see \_ISO\docs\PatchMe_ReadMe.txt)
call Fn.70 0 ;; clear ;; call Fn.5 0 128 ;; set redirp=> nul ;; set redir=> nul

# E.g. The user can type '23' to select item 23 in the menu and so it is useful to have the menu items numbered.
# Auto-numbering is enabled by default.
# AUTONUM=0x0000   sets auto-numbering off, 0x2001 sets numbering on with a space (default), 0x2d01 autonumber with hyphen after number
set AUTONUM=0x0000

# ------------ HEADING AND FOOTER TEXT COLOUR ---------

# HCOLOUR sets the colour of the HEADING and FOOTER TEXT text 
# HCOLOUR=ABCD specifies the text colour  [BLINK|BRIGHT|BACKGROUND|FOREGROUND]
# A=0/1 1 = BLINK text (does not work under VM)
# B=0/1 1 = BRIGHT colour for foreground text
# C=0-7 = BACKGROUND colour - transparent if graphics mode so has no effect!
# D=0-7 = FOREGROUND menu text colour
# Colours parameters are: 0=black/grey 1=blue, 2=green, 3=cyan, 4=red, 5=pink, 6=yellow/brown, 7=grey/white.
# e.g. 0133 is non-blinking bright cyan text (on a dark cyan background if not in graphics mode)
set HCOLOUR=0137
set FCOLOUR=0137


#                  --------- MENU HEADINGS -----
#
# Headings must be between two \x20 and between 58 and 78 characters long - but not more than 78 or will get line wrapover if in 640x480 mode
#                          1         2         3         4         5         6         7         8
#              \x202345678901234567890123456789012345678901234567890123456789012345678901234567890\x20
#                                                                           XXXXXXXXXXXXXXXXXXX  <- text must end in this area!
#
set    HEADING=\x20    EASY2BOOT V1 - MAIN MENU  (%VER%)                       \x20
set HEADPOS=0500

# HELP TEXT AT BOTTOM OF MOST MENUs
# use \x20 for no text at the bottom of the menus - e.g. set HELPTEXT=\x20
set HELPTEXT=HDD0 [F7]   Back [F8]   Reboot [F9]   Power Off [F10] www.easy2boot.com

#  ----- GRAPHICS MODE AND WALLPAPER -----
# set graphics mode - use 640, or 800 or 1024 - or specify full mode - e.g. 800 600 24
# 640 and 800 is supported by the default background bitmap
# The size of your background bmp must match the GMODE setting (e.g. use 1024x768 bitmap and set GMODE=1024)
# E2B will use whichever wallpaper exists (only one need exist) - change the filename below if you wish
set GMODE=1024
set MYWBMP=/_ISO/stripedflat.bmp.gz

# -------- MENU COLOURS -------

# Colour pairs are Text/Background - i.e cyan/blue = cyan text on blue background
# Use black if a transparent background is required for menu highlight background - e.g. highlight=red/black
# Valid colours are: black, blue, green, cyan, red, magenta, brown, light-gray, dark-gray, light-blue, light-green, light-cyan, light-red, light-magenta, yellow and white.
#  normal    = normal menu text
#  highlight = highlighted menu text when a menu entry is selected
#  helptext  = the colour of the title help text shown just below the menu box
#  standard  = the console background and text colours (e.g. when listing files)
#  border    = the colour of the border of the menu box

# Example:
### color normal=light-cyan/black highlight=red/cyan helptext=yellow/black standard=light-cyan/black border=light-gray/black

# You can also set a full colour value 24-bit as 0xRRGGBB, the value must be larger than 0xFF to work correctly however
# the background colour will be set to black (transparent in graphics mode menus) if number is >0xFF
# See http://www.rapidtables.com/web/color/RGB_Color.htm
# Red=0xFF0000   Green=0x00FF00   Blue=0x0100FF  (must be larger than FF so add 01 to red!), Yellow=0xFFFF00, White=0xffffff, Brown=0x994c00

#StripedFlat template color settings:
color normal=0xc1aba4
color highlight=0xbe8470
color helptext=0xbf9789
color standard=white/black
color border=0x7A3E48

# ----- MENU POSITION ---

# If using 640 or 800 x-resolution - the settings below will change automatically depending on GMODE value set above
# word_spacing line_spacing border_width top_help number_of_items_in_menu top_start menu_width right_start_pos_of_menu
set wdspace=0
set lnspace=7
set bdwidth=0
set rstart=55
set menuw=85
set topstart=8
# use tophelp = topstart + noitems     for menu help text just under menu box
# for 640x480  noitems=18 tophelp=20
# for 800x600  noitems=24 tophelp=26
set noitems=12
set tophelp=22

# -- FOOTER HELP TEXT POSITION ---
# Bottom Easy2Boot HELPTEXT position YYXX
# for 640x480 use HBTM=2800
# for 800x600 use HBTM=3501
set HBTM=2954

#   ---- PASSWORD PROTECTION -----

#The line below will set a password of 'easy2boot' to stop users editing the menus accidentally (encrypted)
#You can use en encrypted md5 value or a plain text value
#If YOU want to edit the menus, press p and then enter the password (you can use an unencrypted password like this: 'set pwd=fred')
set pwd=--md5 $1$1$okAQ3AJUdhqf3TVrwKvJP1
###set pwd=fred



# If you want to display a different background bitmap just for the Master password user input, use these commands
call Fn.70 3
splashimage %MYWBMP%

# --- MASTER PASSWORD ---
# the next 2 lines are optional - it just changes the font immediately but can cause a delay whilst it loads  - ensure GMODE is set in lines above
graphicsmode -1 %GMODE% > nul
font ()/%grub%/unifont.hex.gz

:mpwd
#If you want to set a Master password for Easy2Boot to prevent anyone from using it on first boot
#(e.g. 'fred') uncomment and edit the following 5 lines (you can use --md5 format if you wish)
if exist DONEMENU goto :pok
clear && echo && echo ENTER E2B MASTER PASSWORD
password fred && goto :pok
echo && set /a /p:2 ask=WRONG PASSWORD!
goto :mpwd
:pok
if not exist DONEMENU echo

#To reboot if the password is wrong, change      goto :mpwd    to     reboot



#Tip: For even better security, use 7Zip to compress this file to GZip format (keep the filename as MyE2B.cfg) or use lzma.exe
#     and set it's file attribute to 'Hidden'.

# ---- KEYBOARD TYPE -----
#set which keyboard you are using (one only!) - see the KBD_xxxx.g4b files in the grub folder if you want to modify the key mapping
###set KBD=KBD_AZERTY.g4b
###set KBD=KBD_FRENCH.g4b
###set KBD=KBD_GERMAN.g4b
###set KBD=KBD_ITALIANO.g4b
###set KBD=KBD_JAPAN_106.g4b
###set KBD=KBD_QWERTY_UK.g4b
###set KBD=KBD_QWERTZ.g4b
###set KBD=KBD_SPANISH.G4B
###set KBD=KBD_QWERTY_UK.g4b


# SUPPRESS STARTUP FILE ENUMERATION MESSAGES from AUTOMN.g4b, etc.
###set redir=> nul

# SUPPRESS E2B MENU.LST STARTUP MESSAGES (not recommended)
###set redirp=> nul

# Font settings - specify alternate unifont hex file which is loaded after the E2B unifont file is loaded - many fonts are in /_ISO/docs/Fonts/ folder
set FONT=()/_ISO/docs/Fonts/thin.uni.gz
# Use Default BIOS Font (tends to be bold for standard ASCII characters)
###set BIOSFONT=1
# If NOUNIFONT=1 then the standard E2B unifont font file is not loaded (to save time) but only ASCII characters will be displayed
# You can then delete the 1MB \_ISO\e2b\grub\unifont.hex.gz file if you wish
### set NOUNIFONT=1


# Beep when menu loads, values 1, 2 or 3 only (only works in internal speaker fitted to system)
set beep=1

# LANGUAGE SUPPORT
# To change language from ENGlish, copy the \_ISO\e2b\grub\ENG folder to \_ISO\e2b\grub\SPANISH and set the LANG variable to match
# Then edit files in new SPANISH folder
### set LANG=SPANISH



